Maton

List Destinations

GET/triggers/{trigger_id}/destinations

Authorization

bearerAuth
AuthorizationBearer <token>

Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.

In: header

Path Parameters

trigger_id*string

The trigger's unique identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET \  "https://api.maton.ai/triggers/{trigger_id}/destinations" \  -H "Authorization: Bearer $MATON_API_KEY"
{
  "destinations": [
    {
      "destination_id": "3f1a9c2e-7b4d-4e8a-9c1f-2d3e4a5b6c7d",
      "url": "https://example.com/hook",
      "name": "prod",
      "status": "ENABLED",
      "reason": null
    }
  ]
}
{
  "message": "Invalid API key.",
  "type": "Unauthorized",
  "code": 401
}
{
  "message": "Resource not found.",
  "type": "Not Found",
  "code": 404
}
{
  "message": "Too many requests.",
  "type": "Too Many Requests",
  "code": 429
}
{
  "message": "Internal server error.",
  "type": "Internal Server Error",
  "code": 500
}